Bug 1335302 - Inverted x axis on the touchscreen
Summary: Inverted x axis on the touchscreen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Tissoires
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 20:30 UTC by Fahad Alduraibi
Modified: 2018-05-29 11:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:48:41 UTC
Type: Bug


Attachments (Terms of Use)
xinput list props (726 bytes, text/plain)
2016-05-11 20:30 UTC, Fahad Alduraibi
no flags Details
dmesg after a fresh boot (97.11 KB, text/plain)
2016-05-12 15:09 UTC, Fahad Alduraibi
no flags Details
acpidump (681.55 KB, text/plain)
2016-05-12 15:09 UTC, Fahad Alduraibi
no flags Details
dmidecode (14.00 KB, text/plain)
2016-05-12 15:10 UTC, Fahad Alduraibi
no flags Details
lshw (8.56 KB, text/plain)
2016-05-12 15:11 UTC, Fahad Alduraibi
no flags Details

Description Fahad Alduraibi 2016-05-11 20:30:05 UTC
Created attachment 1156290 [details]
xinput list props

Description of problem:

The touchscreen works however the horizontal movement is inverted (x axis). The vertical movement is ok.

Additional info:
Looking at the driver code "https://github.com/torvalds/linux/blob/master/drivers/input/touchscreen/goodix.c" I see a Boolean "inverted_x" so fixing the issue seems to be an easy thing but I have no idea how to do it.

Kernel 4.5.3-300.fc24.x86_64

Touchscreen is Goodix Capacitive TouchScreen (attached the xinput list-props output)

Tablet is Cube iWork10 (Chinese brand) with Intel Atom cpu

Comment 1 Benjamin Tissoires 2016-05-12 07:16:28 UTC
This looks like a kernel bug then.

Could you attach your current dmesg (after a fresh boot) and the output of acpidump (as root)? This way I might be able to check if it's easy or not to change that.

Comment 2 Benjamin Tissoires 2016-05-12 07:30:18 UTC
I think I'll also need to have your dmidecode information to be able to create a kernel patch for you.

Comment 3 Fahad Alduraibi 2016-05-12 15:09:19 UTC
Created attachment 1156709 [details]
dmesg after a fresh boot

Comment 4 Fahad Alduraibi 2016-05-12 15:09:42 UTC
Created attachment 1156710 [details]
acpidump

Comment 5 Fahad Alduraibi 2016-05-12 15:10:07 UTC
Created attachment 1156712 [details]
dmidecode

Comment 6 Fahad Alduraibi 2016-05-12 15:11:23 UTC
Created attachment 1156713 [details]
lshw

Comment 7 Fahad Alduraibi 2016-05-16 20:13:18 UTC
Is there a list of devices that the kernel checks to see if it should invert or not? or is it more complicated than that?

Comment 8 Benjamin Tissoires 2016-05-17 08:26:13 UTC
(In reply to Fahad Alduraibi from comment #7)
> Is there a list of devices that the kernel checks to see if it should invert
> or not? or is it more complicated than that?

That's basically what I need to do in the driver. Add such a list and put your tablet in it, There doesn't seem to be anything useful in the acpidump that would tell us how the device is installed, so a dmi_match should be our be solution.

Comment 9 Laura Abbott 2016-09-23 19:22:57 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 10 Fahad Alduraibi 2017-06-19 13:28:27 UTC
The same problem still exits in F25 and also F26 beta

Comment 11 Peter Hutterer 2017-06-20 00:45:32 UTC
fwiw, this is the matrix to intvert the x axis, as a workaround until the kernel fix is in:

xinput set-prop "ELAN Touchscreen" "libinput Calibration Matrix" -1 0 1 0 1 0 0 0 1


replace the device name with yours, and make it an xorg.conf.d snippet for it to be persistent

Comment 12 rick.2889 2018-01-18 00:13:21 UTC
This is still an issue on the latest kernel (4.14.13) on Fedora 27, with the same tablet.

There is already a quirk in the goodix driver; perhaps another one should be added?

Comment 13 Fedora End Of Life 2018-05-03 08:04:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:48:41 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.